-- ┌                                               ┐
-- │                    Docker                     │
-- └                                               ┘
local lsp = vim.lsp

local capabilities = require("lsp-options").capabilities
local on_attach = require("lsp-options").on_attach

lsp.config("docker_language_server", {
    capabilities = capabilities,
    on_attach = on_attach,
})


-- ── Enable configs ───────────────────────────────────────────────
local enable = vim.lsp.enable
enable("docker_language_server")
vim.filetype.add({
    filename = {
        ["docker-compose.yml"] = { "yaml.docker-compose", { priority = 100 } },
        ["docker-compose.yaml"] = { "yaml.docker-compose", { priority = 100 } }
    }
})
